# Changelog

All notable changes to this project will be documented in this file.

The format is based on [Keep a Changelog](http://keepachangelog.com/en/1.0.0/)
and this project adheres to [Semantic Versioning](http://semver.org/spec/v2.0.0.html).

## [Unreleased]

### Added

* A runtime check for whether moduleName is defined or not (helpful for users
  of plain JavaScript).
* An optional check for whether the configuration file is empty or not that is
  enabled by _default_.
* The `.loadFile()` method, which lets you directly load a file instead of
  searching directories for a file matching `${moduleName}.config.(js|ts|js)`.

## Changed

* The heuristic for detecting configuration files written as an ECMAScript
  module. We now check that the `.__esModule` property exists and is true
  instead of simply looking for a `.default` property.

## [0.2.0] - 2018-08-01

### Added

* A code of conduct for the project (or rather a lack thereof).
* Supprt for files that use CommonJS exports (`module.exports = xyz`).

### Changed

* The `.load()` method is now completely generic instead of returning an
  object.
* [ts-node](https://github.com/TypeStrong/ts-node) was updated to version
  4.1.0.
* Usages of undefined and such have now been replaced with custom errors.
* It is now possible to specify a custom directory to search by passing a path
  to the `directory` parameter on the `.load()` method.

### Removed

* The dependency on [tslib](https://github.com/Microsoft/tslib) (TypeScript
  helper code is now placed inside the transpiled files).

## 0.1.0 - 2017-21-12

### Added

**_Everything._**

### Changed

**_Nothing._**

### Removed

**_Nothing._**

[unreleased]: https://github.com/severen/disposition/compare/v0.2.0...HEAD
[0.2.0]: https://github.com/severen/disposition/compare/v0.1.0...v0.2.0
