"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = Object.setPrototypeOf ||
        ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
        function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * A custom error used when a configuration file can not be located.
 */
var ModuleNameNotProvided = /** @class */ (function (_super) {
    __extends(ModuleNameNotProvided, _super);
    /** Instantiate a new ModuleNameNotProvided error. */
    function ModuleNameNotProvided() {
        var _this = _super.call(this, 'Please provide a module name for the configuration file.') || this;
        /** The error name. */
        _this.name = 'ModuleNameNotProvided';
        // Keeps the stacktrace clean.
        Error.captureStackTrace(_this, ModuleNameNotProvided);
        return _this;
    }
    return ModuleNameNotProvided;
}(Error));
exports.ModuleNameNotProvided = ModuleNameNotProvided;
/**
 * A custom error used when a configuration file can not be located.
 */
var ConfigNotFound = /** @class */ (function (_super) {
    __extends(ConfigNotFound, _super);
    /**
     * Instantiate a new ConfigNotFound error.
     *
     * @param filenames The filenames that were searched for.
     */
    function ConfigNotFound(filenames) {
        var _this = _super.call(this, 'Could not find a configuration file.') || this;
        _this.filenames = filenames;
        /** The error name. */
        _this.name = 'ConfigNotFound';
        // Keeps the stacktrace clean.
        Error.captureStackTrace(_this, ConfigNotFound);
        return _this;
    }
    return ConfigNotFound;
}(Error));
exports.ConfigNotFound = ConfigNotFound;
/**
 * A custom error used when a configuration file is empty.
 */
var EmptyConfig = /** @class */ (function (_super) {
    __extends(EmptyConfig, _super);
    /**
     * Instantiate a new EmptyConfig error.
     */
    function EmptyConfig() {
        var _this = _super.call(this, 'The configuration file is empty.') || this;
        /** The error name. */
        _this.name = 'EmptyConfig';
        // Keeps the stacktrace clean.
        Error.captureStackTrace(_this, EmptyConfig);
        return _this;
    }
    return EmptyConfig;
}(Error));
exports.EmptyConfig = EmptyConfig;

//# sourceMappingURL=errors.js.map
