/**
 * A custom error used when a configuration file can not be located.
 */
export declare class ModuleNameNotProvided extends Error {
    /** The error name. */
    name: string;
    /** Instantiate a new ModuleNameNotProvided error. */
    constructor();
}
/**
 * A custom error used when a configuration file can not be located.
 */
export declare class ConfigNotFound extends Error {
    readonly filenames: string[];
    /** The error name. */
    name: string;
    /**
     * Instantiate a new ConfigNotFound error.
     *
     * @param filenames The filenames that were searched for.
     */
    constructor(filenames: string[]);
}
/**
 * A custom error used when a configuration file is empty.
 */
export declare class EmptyConfig extends Error {
    /** The error name. */
    name: string;
    /**
     * Instantiate a new EmptyConfig error.
     */
    constructor();
}
