/**
 * Resolve a path relative to Disposition's package root.
 *
 * @param relativePath A path that is relative to the package root.
 * @returns The resolved path.
 */
export declare function resolveSelf(relativePath: string): string;
/**
 * Search for a specific set of files by walking up the directory
 * tree.
 *
 * @param directory A directory to start from.
 * @param filenames A list of filenames to search for.
 * @returns The full path to the first file that matches one of the
 *          provided filenames.
 */
export declare function find(directory: string, filenames: string[]): string | undefined;
